[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: mac os x, lilypondtool, jedit, a puzzle

From: James E. Bailey
Subject: Re: mac os x, lilypondtool, jedit, a puzzle
Date: Sun, 4 May 2008 00:40:45 +0200

It looks as though jedit is looking for python in the lilypond path. And then looking for convert-ly to be there. convert-ly is actually in /Applications/ so if you can tell jedit to look there for convert-ly, problem solved
Am 03.05.2008 um 16:54 schrieb Stan Sanderson:

In the interest of improving a great tool, I ask...

I'm sure I'm not the only one using jEdit with LilyPondTool on Mac OS 10 (10.4.11, PPC). I've had a dialogue with Bertalan Fodor (author of LilyPondTool) concerning its use on the Mac OS. He doesn't have access to a Mac and consequently finds answering my question difficult.

So, is there anyone using the Mac version of LilyPondTool who has found a way of successfully invoking convert-ly?

The problem appears to be related to differences in how the Mac and Windows versions use Python. From what Bertalan has suggested, LilyPondTool translates "convert-ly" to "<local path to Python>/ --edit <lilypond file name>".

From the jEdit Activity Log...

9:36:26 AM [notice] AWT-EventQueue-0: '/Users/ssanders/Desktop/' 9:36:26 AM [notice] AWT-EventQueue-0: command: convert-ly [Ljava.lang.String;@98ba6f 9:36:26 AM [error] AWT-EventQueue-0: / Applications/ not found 9:36:26 AM [error] AWT-EventQueue-0: at java.lang.UNIXProcess.forkAndExec(Native Method)

The same results are observed if the .py suuffix is included on the convert-ly command.

I can invoke "lilypond --version" successfully from the jEdit Console so the path to Lilypond appears to be correct. Invoking "convert-ly --version" (or" produces an error message.

I have not found a way to communicate with the contents of / Applications/ (other than lilypond itself) when using LilyPondTool.

Any solutions?


lilypond-user mailing list

reply via email to

[Prev in Thread] Current Thread [Next in Thread]